/* Stockage d'une couleur rvb                   */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____COULEUR____
#define ____COULEUR____

#include "Rvb.h"

class Couleur:public Rvb  {

  public :

    /* Constructeurs                            */
    Couleur(void);
    Couleur(double r,double v,double b);
    Couleur(float r,float v,float b);
    Couleur(double *c);
    Couleur(float *c);
    Couleur(Couleur *c);

    /* Destructeur                              */
    ~Couleur(void);
};

#endif
